---
search:
  tags:
    - activities
    - GET
seo:
  description: >-
    List activity. Reference for the GET /workspaces/{organizationId}/activity
    endpoint in the Pile API.
sidebar:
  label: List activity
  badge: GET
title: List activity
type: openapi-operation
---
`GET /workspaces/{organizationId}/activity`

**Responses**

- `200` — Unified workspace activity feed — all entity events

Response example, 200:

```json
{
  "activity": [
    {
      "kind": "string",
      "entityType": "string",
      "entityId": "string",
      "entityTitle": "string",
      "actorId": "string",
      "actorName": "string",
      "action": "string",
      "detail": "string",
      "createdAt": "string"
    }
  ]
}
```
